% update_y.m
%
% Update the 'After' image and histogram. 

pause(0.5); 
figure(1); 
pause(0.5);
% Update image data in 'After' image.
set(yhandle,'Cdata',yui);
drawnow

% Define bar colours for the histogram (red, dark green, blue).
barcolour = [0.9 0 0;0 0.7 0;0 0 1];

% Replot histogram of 'After'.
subplot(h4);
sy = size(yui);
yh = reshape(yui,prod(sy(1:2)),3);
[nb,hout] = hist(double(yh),5:10:255);
hb = bar(hout,nb);
for k=1:3, 
    set(hb(k),'FaceColor',barcolour(k,:),'EdgeColor',barcolour(k,:)); 
end
title('Histogram of After','FontSize',14);
set(gca,'XLim',[0 260]);
drawnow

zoom on


